# pandas.Series.str.get_dummies

`Series.str.``get_dummies`(sep='|')

  Split each string in the Series by sep and return a frame of dummy/indicator variables.

  Parameters:

  sep : string, default “|”

  > String to split on.

  Returns: | dummies : DataFrame

  See also

  `pandas.get_dummies`

  Examples

      >>> Series(['a|b', 'a', 'a|c']).str.get_dummies()
         a  b  c
      0  1  1  0
      1  1  0  0
      2  1  0  1

      >>> Series(['a|b', np.nan, 'a|c']).str.get_dummies()
         a  b  c
      0  1  1  0
      1  0  0  0
      2  1  0  1

Scroll To Top